Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
receipts
/
customer_segment
Customer segmentation
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/receipts/customer_segment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "purchase_from": "2023-11-07T05:31:56Z",
  "purchase_to": "2023-11-07T05:31:56Z",
  "store_ids": [
    "<string>"
  ],
  "items": [
    {
      "id": "<string>",
      "group": "<string>"
    }
  ]
}
'
{
  "customers": [
    {
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "purchases": 5
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json

segmentation on receipt data

purchase_from
string<date-time>
purchase_to
string<date-time>
store_ids
string[]
items
object[]

Response

Customer matching segmentation

customers
object[]